/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ItemLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface ItemLocal extends EJBLocalObject
{
    public String getId()
        throws EJBException;

    public int getQuantity()
        throws EJBException;

    public float getPrice()
        throws EJBException;

    public FinishedGoodsLocal getFinishedGoods()
        throws EJBException;

    public PurchaseOrderLocal getPurchaseOrder()
        throws EJBException;

    public StorehouseLocal getStorehouse()
        throws EJBException;

    public void setStorehouse(StorehouseLocal storehouse)
        throws EJBException;
}
